Cancel a subscription - V1
PUT /order/v1/banking/subscriptions/{id}/cancel
PUT
/order/v1/banking/subscriptions/{id}/cancel
Request to cancel a subscription.
NOTE: Please, to authenticate use the scope: “api://app-order-prd”
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
The subscription ID (UUID)
Header Parameters
Section titled “Header Parameters ” idempotency-key
required
string
Request Body required
Section titled “Request Body required ”object
accountId
required
Receiver account ID that owns the subscription
string
Example
3fcdf879-33c9-403b-b97c-742c2518ef8eResponses
Section titled “ Responses ”The resource was returned successfully
object
id
required
The unique identifier of the cancellation request
string
Example
451ca199-6189-4e44-8268-addb1c5bc6ce status
required
The status of the cancellation request
string
Example
PENDINGobject
error
string
Example
INVALID_REQUEST message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[ { "field": "field_name", "issue": "INVALID", "description": "Field is invalid" }]Unauthorized Request
object
error
string
Example
UNAUTHORIZED message
string
Example
Unauthorized Request details
Array<object>
object
field
string
issue
string
description
string
Example
[]object
error
string
Example
FORBIDDEN_ERROR message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]Resource not found
object
error
string
Example
NOT_FOUND message
string
Example
Resource not found details
Array<object>
object
field
string
issue
string
description
string
Example
[]object
error
string
Example
INTERNAL_ERROR message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]